Bug 713821 - RFE Native systemd file for yum-updateonboot F19\Rawhide
RFE Native systemd file for yum-updateonboot F19\Rawhide
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 11:12 EDT by Frank Murphy
Modified: 2015-06-29 07:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:36:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Testcase yumboot service file? (254 bytes, application/octet-stream)
2013-03-17 13:15 EDT, Frank Murphy
no flags Details
Working yumboot service file (373 bytes, text/plain)
2013-03-18 04:23 EDT, Frank Murphy
no flags Details

  None (edit)
Description Frank Murphy 2011-06-16 11:12:00 EDT
Description of problem: No native systemd yum-updateonboot.service
Comment 1 Frank Murphy 2011-11-14 11:34:49 EST
The problem.
Booting continues before yum-updateonboot  is finished.
So am left hanging, as to whether updates are finished.


the only option left open at the moments is:
http://lists.baseurl.org/pipermail/yum/2011-November/023749.html

which  works on F14/15/16  (but may be overwritten by next update).
but not Rawhide.
which also ignores --security --bugfixes.

I might be the only one, but prefer the box updated, before login.
Comment 2 Frank Murphy 2013-03-17 10:47:17 EDT
Changed to read F19\Rawhide
Comment 3 Frank Murphy 2013-03-17 13:15:31 EDT
Created attachment 711495 [details]
Testcase yumboot service file?

Am I on the right track?

Just havn't got the following to appear on screen during bootup.
Have changed locate of a files to /usr/bin/yum-updateonboot.

systemctl status yumboot.service
yumboot.service - YUM Updateonboot
	  Loaded: loaded (/etc/systemd/system/yumboot.service; enabled)
	  Active: inactive (dead) since Sun 2013-03-17 17:07:55 GMT; 9s ago
	 Process: 1063 ExecStart=/usr/bin/yum-updateonboot start (code=exited, status=0/SUCCESS)

Mar 17 17:07:44 my box name here yum-updateonboot[1063]: --> gmtk-1.0.8-1.fc18.x86_64 from rpmfusion-free-updates excluded (non-...rity)
Mar 17 17:07:44 my box name here yum-updateonboot[1063]: --> audacious-plugins-freeworld-mp3-3.3.4-1.fc18.x86_64 from rpmfusion-...rity)
Mar 17 17:07:44 my box name here yum-updateonboot[1063]: --> audacious-plugins-freeworld-mp3-3.3.2-2.fc18.x86_64 from installed ...rity)
Mar 17 17:07:44 my box name here yum-updateonboot[1063]: --> gstreamer-ffmpeg-0.10.13-6.fc18.x86_64 from rpmfusion-free-updates ...rity)
Mar 17 17:07:44 my box name here yum-updateonboot[1063]: No packages needed for security; 3 packages available
Mar 17 17:07:45 my box name here yum-updateonboot[1063]: --> Finding unneeded leftover dependencies
Mar 17 17:07:55 my box name here yum-updateonboot[1063]: Found and removing 0 unneeded dependencies
Mar 17 17:07:55 my box name here yum-updateonboot[1063]: Depsolve time: 9.959
Mar 17 17:07:55 my box name here yum-updateonboot[1063]: [  OK  ]
Mar 17 17:07:55 my box name here systemd[1]: Started YUM Updateonboot.
Comment 4 Frank Murphy 2013-03-18 04:23:52 EDT
Created attachment 711792 [details]
Working yumboot service file

Thanks to T.C. Hollingsworth on the user list. added the output line,
and fixed my own incorrect *service names.

But, I can't package. So it's here if anyone else needs it.
Comment 5 Fedora End Of Life 2015-05-29 04:39:33 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 07:36:41 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.